New B2B MPS AWB Registration API
This API is intended for registering B2B carrier's AWBs in ClickPost system.
Overview
To register AWBs with domestic (Indian) couriers, Clickpost has provided the AWB Registration API that caters specifically to Indian customers and couriers. Enterprises can register Multi-Piece Shipments with this API, to enable ClickPost to fetch latest tracking status updates from carriers.
Features in new API
- Users can provide details of multiple invoices per shipment. With each invoice they can provide- invoice_number, invoice_date, invoice_value, ewaybill number, ewaybill expiry date and invoice_base_64. Users can also link multiple invoices to a box.
- Users can provide details of multiple purchase orders per shipment. With each PO they can provide purchase order number and purchase order expiry date. Users can also link multiple purchase orders to a box.
- Dedicated fields for taking appointment details like appointment id, date and time. Automated emails can be sent to the carrier POC if these details are received and the appointment module is configured.
Geography
This is a standard API which supports all shipments created and transported within India.
Path
POST https://www.clickpost.in/api/v1/b2b-awb-register/?key=
Query Params
Query Parameters to be passed directly in the URL.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
key | String | Mandatory | Unique license key provided by Clickpost for the enterprise (This string is a UUID) | 100 | "Test-key" |
Sample Payload and Postman Collection
{
"pickup_info": {
"name": "Mr Ramesh",
"phone": "99999999",
"district": "Chennai",
"city": "Chennai",
"landmark": "test_landmark",
"organisation": "test_organisation",
"state": "TamilNadu",
"pincode": "600034",
"country": "India",
"address_type": "",
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"email": "[email protected]",
"vendor_code": "teste_vendor_code",
"location_code": "",
"tin": "test"
},
"drop_info": {
"organisation": "test_organisation",
"district": "Puducherry",
"address_type": "",
"vendor_code": "",
"name": "Mr Himesh",
"landmark": "test_landamrk",
"phone": "99999999",
"email": "[email protected]",
"city": "Puducherry",
"state": "Puducherry",
"pincode": "605001",
"country": "India",
"location_code": "",
"address": "104, Kamaraj Salai, "
},
"shipment_info": {
"waybill": "TESTAWB-1802-001",
"description": "This is a big shipment",
"reference_number": "TEST-112212932",
"courier_partner": "129",
"account_code": "Bluedart-prod1",
"cod_value": 0,
"order_type": "PREPAID",
"order_id": "TESTorder_id1",
"delivery_type": "FORWARD",
"weight": 3000,
"invoice_info": [
{
"number": "inv-1",
"value": 10000,
"date": "2024-09-30",
"base64": "",
"ewaybill_serial_number": null,
"ewaybill_expiry_date": null,
"description": "Contains 36 qty"
},
{
"number": "inv-2",
"value": 10000,
"date": "2024-09-30",
"base64": "",
"ewaybill_serial_number": null,
"ewaybill_expiry_date": null,
"description": "Contains 36 qty"
}
],
"purchase_order_info": [
{
"number": "po-1",
"expiry_date": "2024-09-30"
},
{
"number": "po-2",
"expiry_date": "2024-09-30"
}
],
"asn_info": [
{
"asn_number": "asn-1",
"asn_date": "2024-09-30"
}
],
"box_info": [
{
"count": 50,
"reference_number_prefix": "ABC",
"code": "",
"height": 10,
"length": 10,
"weight": 10,
"breadth": 10,
"description": "test description",
"purchase_order_info": [
{
"number": "po-1"
}
],
"invoice_info": [
{
"number": "inv-2"
}
],
"product_info": [
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": "",
"manufacturer_country": "",
"manufacturer_country_code": "",
"hsn_code": "",
"price": 10000
},
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": "",
"manufacturer_country": "",
"manufacturer_country_code": "",
"hsn_code": "",
"price": 10000
}
]
},
{
"count": 5,
"reference_number_prefix": "",
"height": 10,
"length": 10,
"weight": 10,
"breadth": 10,
"description": "test description2",
"purchase_order_info": [
{
"number": "po-1"
},
{
"number": "po-2"
}
],
"invoice_info": [
{
"number": "inv-1"
},
{
"number": "inv-2"
}
],
"product_info": [
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": "",
"manufacturer_country": "",
"manufacturer_country_code": "",
"hsn_code": "",
"price": 10000
},
{
"sku": "test_sku",
"sku_count": "2",
"description": "test description",
"product_category": "",
"manufacturer_country": "",
"manufacturer_country_code": "",
"hsn_code": "",
"price": 10000
}
]
}
],
"gst_info": {
"seller_gstin": "",
"enterprise_gstin": "",
"taxable_value": 0,
"is_seller_registered_under_gst": null,
"place_of_supply": "",
"gst_discount": 0,
"gst_total_tax": 0,
"sgst_tax_rate": 0,
"sgst_amount": 0,
"igst_tax_rate": 0,
"igst_amount": 0,
"cgst_tax_rate": 0,
"cgst_amount": 0,
"consignee_gstin": "",
"sgst_total_tax": 0
}
},
"appointment_info": {
"start_time": "13-04-2025 10:00",
"end_time": "13-04-2025 13:00",
"id": ""
},
"additional_info": {
"return_info": {
"lat": 20.45,
"long": 40.54,
"name": "CL-FC-CHN-PGR-Packing",
"phone": "999999999",
"district": "test_district",
"city": "Chennai",
"landmark": "test_landmark",
"organisation": "test_organisation",
"state": "TamilNadu",
"time": "2022-10-27T11:52:36",
"pincode": "600034",
"country": "India",
"address_type": "",
"address": "NEW NO.150 OLD NO.60,RAMA Naiken STREET, Nungambakkam",
"email": "[email protected]",
"vendor_code": "teste_vendor_code",
"location_code": "",
"tin": "test"
},
"is_label_required": true,
"is_multi_seller": false,
"zone": "",
"order_date": "2024-10-11",
"store_code": "",
"user_defined_field_array": [
{
"name": "udf_1",
"type": "String",
"value": ""
}
]
}
}
Payload Description
The payload will consist of the following 5 high level sections:

| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
pickup_info | Object | Optional | Information for where the shipment was picked up by the courier | ||
drop_info | Object | Optional | Information for where the shipment will be delivered by the courier | ||
shipment_info | Object | Some fields are mandatory | Information about the shipment itself | ||
additional_info | Object | Optional | Additional optional information about the shipment | ||
appointment_info | Object | Optional | Information for appointment based deliveries. |
Pickup Info (pickup_info)
pickup_info)This mandatory object takes in the data for the warehouse/pickup location for the shipment.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
lat | Float | Optional | Latitude of the pickup location | 45.12211 | |
long | Float | Optional | Longitude of the pickup location | 88.12342 | |
name | String | Optional | Contact name of the consignor of the shipment | 100 | "Mukesh Kumar" |
organisation | String | Optional | Name of the organisation | 100 | "Walmart" |
address | String | Optional | Address of the pickup location | 500 | "123, ABC Street" |
district | String | Optional | District of the pickup location | 100 | "Nadia" |
city | String | Optional | City of the pickup location | 100 | "Mumbai City" |
state | String | Optional | State/province of the pickup location | 100 | "Maharashtra" |
landmark | String | Optional | Landmarks to help find the pickup location | 500 | "Near XYZ Towers" |
email | String | Optional | Email of the pickup contact | 50 | "[email protected]" |
phone | String | Optional | Contact number of the pickup contact | 11 | "9876543210" |
time | String | Optional | Time of pickup for the order (to be provided in YYYY-MM-DDTHH:MM:SS format only) | 2022-01-10T10:02:33 | |
pincode | String | Optional | 6-digit Pin code of the pickup location | 6 | "400065" |
country | String | Optional | Alpha ISO-2 country code of the pickup location. Only "IN" is accepted as input. | 2 | "IN" |
tin | String | Optional | Taxpayer Identification Number (TIN) of the seller. In case the TIN is not available, the user may choose to enter the seller's GST number instead. | 100 | "TIN00001" |
address_type | String | Optional | Address type of the pickup address. Must be either OFFICE or RESIDENTIAL | 10 | "OFFICE" |
location_code | String | Optional | If the location master is active, then only send the location code of the pickup location as per LM. | "Bhiwandi_wh_1" | |
vendor_code | String | Optional | Pickup vendor code that needs to be sent to the carrier. |
Drop Info (drop_info)
drop_info)This mandatory object takes in the data for the delivery/consignee location for the shipment.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
lat | Float | Optional | Latitude of the drop location | 45.12211 | |
long | Float | Optional | Longitude of the drop location | 88.12342 | |
name | String | Optional | Contact name of the consignee of the shipment | 100 | "Mukesh Kumar" |
organisation | String | Optional | Name of the organisation | 100 | "Walmart" |
address | String | Optional | Address of the drop location | 500 | "123, ABC Street" |
district | String | Optional | District of the drop location | 100 | "Mumbai City" |
city | String | Optional | City of the drop location | 100 | "Mumbai" |
state | String | Optional | State/province of the drop location | 100 | "Maharashtra" |
landmark | String | Optional | Landmarks to help find the drop location | 500 | "Near XYZ Towers" |
email | String | Optional | Email of the drop contact | 50 | "[email protected]" |
phone | String | Optional | Contact number of the drop contact | 11 | "9876543210" |
pincode | String | Optional | 6-digit Pin code of the drop location | 6 | "400065" |
country | String | Optional | Alpha ISO-2 country code of the drop location. Only "IN" is accepted as input. | 2 | "IN" |
address_type | String | Optional | Address type of the drop address. Must be either OFFICE or RESIDENTIAL | 10 | "OFFICE" |
location_code | String | Optional | If the location master is active, then only send the location code of the drop location as per LM | "WH-0123" | |
vendor_code | String | Optional | Hub code of the drop address (if the drop address is a warehouse) | 50 | "test_drop_warehouse" |
Shipment Info (shipment_info)
shipment_info)In the 'shipment_info' object, the details regarding all boxes, and important order details like payment type, order type, courier partner, etc. are added.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
reference_number | String | Optional | Reference number of the order. Must be unique for every shipment, i.e. every call of this API. Note: For Bluedart, the reference number should not go beyond 20 characters, or else the AWB generation will fail | 20 | "TEST12345678912345678912" |
waybill | String | Mandatory | AWB Number or LR Number received from the carrier partner | TESTAWB-1802-001 | |
courier_partner | Integer | Mandatory | Partner ID of the desired carrier. Refer to List of carriers supported by Clickpost to get the partner ID. | 123 | |
account_code | String | Mandatory | Courier partner account name configured on the Clickpost dashboard. Will return a 400 Bad Request response if the given account is inactive or does not exist. | 100 | 'test_courier' |
box_info | List | Optional | Details of all the boxes present in the shipment | ||
weight | Float | Optional | Weight of the complete shipment (gm) | 500 | |
cod_value | Float | Optional | Cash to be given to the courier. Must be non-zero for COD orders, and zero for PREPAID orders. | 25.25 | |
order_id | String | Optional | Identification string for the order | 100 | "TestOrderID00001" |
order_type | String | Optional | Type of payment of the shipment. Can only take values "COD" or "PREPAID". cod_value must be non-zero for COD shipments and zero for PREPAID shipments. | 10 | "COD"/"PREPAID" |
delivery_type | String | Optional | Type of delivery to be done. Can only take values "FORWARD" or "RVP". | 10 | "FORWARD"/"RVP" |
invoice_info | List | Optional | Contains details of all the invoices linked to the shipment. You can provide details of multiple Invoice Numbers per shipment. | ||
purchase_order_info | List | Optional | Contains details of all the purchase orders linked to the shipment. You can provide details of multiple Purchase Orders per shipment. | ||
asn_info | List | Optional | Contains ASN number and date of the ASN linked to the shipment. | ||
gst_info | Object | Optional | Tax details like GSTIN, tax rate etc |
Invoice Info(invoice_info)
invoice_info)This is a mandatory sub object inside the shipment_info object. You can provide details of multiple invoices present in the shipment and please provide details of atleast 1 invoice.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
| number | String | Optional | Unique Id number of the invoice | ||
| Date of issuance of the invoice of the shipment. (YYYY-MM-DD format only) | Float | Optional | Value of the shipment as mentioned in the invoice. | ||
| date | Date | Optional | Date of issuance of the invoice of the shipment. (YYYY-MM-DD format only) | ||
| base64 | String | Optional | A Base64 string representation of the invoice document file | ||
| ewaybill_serial_number | String | Optional | Ewaybill serial number of the invoice. It is needed when the invoice value is >=Rs 50K | ||
| ewaybill_expiry_date | Date | Optional | Expiry date of the Ewaybill | ||
| description | String | Optional | Invoice description, can be used to provide details about the invoice like quantity contained in the invoice |
Purchase Order Info (purchase_order_info)
purchase_order_info)This is an optional sub object inside the shipment_info object. You can provide details of multiple purchase orders present in the shipment and please provide details of atleast 1 purchase order.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
| number | String | Optional | Purchase order number | ||
| expiry_date | String | Optional | Date of expiry of the purchase order |
Box Info (box_info)
box_info)This is a mandatory sub object inside the shipment_info object. In the 'box_info' object, provide the details related to a box like length, breadth, height, weight, product info etc.
Note: Each box object represents a carton box and should have the following:
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
reference_number_prefix | String | Optional | Unique Id of the box. If there are multiple identical boxes then mention the prefix of the reference no. System will add .001, .002 to the prefix to distinguish each box of that type. | Ref001 | |
count | Integer | Optional | No. of identical boxes of a type. If each box has different attributes (like L,B, H, W, invoice, po, product etc) then keep count as 1. | 3 | |
code | String | Optional | If box master is enabled then use the enter the box code in this field. If box master is not enabled then leave this field empty. | Small_Box_1 | |
height | Float | Optional | Height of the box in cm | ||
length | Float | Optional | Length of the box in cm | ||
breadth | Float | Optional | Breadth of the box in cm | ||
weight | Float | Optional | Dry weight of the box in gm | ||
description | String | Optional | Description of the box | ||
purchase_order_info | List | Optional | Mention PO number which is linked to this box. PO Number mentioned here should be present at shipment level | ||
invoice_info | List | Optional | Mention invoice number which is linked to this box. Invoice Number mentioned here should be present at shipment level | ||
product_info | List | Optional | Details of the product contained in the box |
Product Info (product_info)
product_info)Each box can have multiple products. For each product provide the details in the product_info object. This object is optional.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
sku | String | Optional | SKU Code of the product | SKU-3467 | |
sku_count | Integer | Optional | No of products belonging to this SKU code | 12 | |
description | String | Optional | Description of the product | Red shoes | |
product_category | String | Optional | Product category | Footwear | |
manufacturer_country | String | Optional | India | ||
manufacturer_country_code | String | Optional | IN | ||
hsn_code | String | Optional | HSN001 | ||
price | Float | Optional | Price of each product | 500 |
GST Info
This is a mandatory sub object inside the shipment_info object. In the 'gst_info' object, provide the details related to tax.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
| enterprise_gstin | String | Optional | GST No of enterprise shipping the shipment | 100 | |
| seller_gstin | String | Optional | GST No of seller sending the shipment (will be different from above for marketplaces) | 100 | |
| taxable_value | Float | Optional | Taxable amount for GST (in INR) | ||
| place_of_supply | String | Optional | Place of supply of the service or product. Please refer to https://cleartax.in/s/gst-state-code-jurisdiction for further details | 100 | |
| gst_discount | Float | Optional | Discount under GST, if any | ||
| gst_total_tax | Float | Optional | Total GST applicable for the shipment (in INR) | ||
| sgst_tax_rate | Float | Optional | Tax percent applicable for SGST for the shipment | ||
| sgst_amount | Float | Optional | SGST Amount levied on the shipment (in INR) | ||
| igst_amount | Float | Optional | Tax percent applicable for IGST for the shipment | ||
| igst_tax_rate | Float | Optional | IGST Amount levied on the shipment (in INR) | ||
| cgst_tax_rate | Float | Optional | Tax percent applicable for CGST for the shipment | ||
| cgst_amount | Float | Optional | CGST Amount levied on the shipment (in INR) | ||
| consignee_gstin | String | Optional | GST No of consignee |
Appointment Info
This is an optional object inside the shipment_info object. If you do appointment based deliveries in qcommerce and ecommerce marketplaces then you can provide appointment details here and the same can be communicated to carriers over mail.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
| id | String | Optional | Appointment Id as received from the destination centre | ||
| start_time | Datetime | Optional | Appointment Start Time in IST. Must be in future. Date format- DD-MM-YYYY HH:MM | 03-04-2025 10:00 | |
| end_time | Datetime | Optional | Appointment End Time in IST. Must be in future. Date format- DD-MM-YYYY HH:MM | 03-04-2025 14:00 |
Additional Info
In the "additional" object optional fields can be passed which may be used by the courier partner, or give additional details for the order, e.g. Async/Sync order creation or whether label generation is needed.
| Field Name | Data Type | Field | Description | Max Length | Example |
|---|---|---|---|---|---|
is_label_required | Boolean | Optional | Whether label is required for the order or not. Defaults to true. | ||
zone | String | Optional | Zone of the location of pickup | 100 | "XYZ Locality" |
is_multi_seller | Boolean | Optional |
| ||
return_info | Object | Optional | Details for the return address in case the delivery of the order fails or the order is returned. | ||
order_date | String | Optional | Date when the order was placed for this shipment. To be provided in Can also be sent in the DateTime format i.e. | 50 | "2022-12-15" or "2023-09-20T14:00:00" |
user_defined_field_array | List | Optional | This object provides additional fields to the customers who wish to add custom details to their labels configured on Clickpost. The field values mentioned here can be accessed via the This list can only accept at max 4 objects. | |
Return Info
In the optional return_info object, the details for the return address is to be provided. The details are particularly useful in case of a failed delivery or product return due to other reasons. If the return info is not sent explicitly, then by default the system considers pickup info as return info.
| Field Name | Data Type | Field Type | Description | Max Length | Example |
|---|---|---|---|---|---|
lat | Float | Optional | Latitude of the return location | 45.12211 | |
long | Float | Optional | Longitude of the return location | 88.12342 | |
name | String | Optional | Contact name of the consignor of the shipment | 100 | "Mukesh Kumar" |
organisation | String | Optional | Name of the organisation | 100 | "Walmart" |
address | String | Optional | Address of the return location | 500 | "123, ABC Street" |
district | String | Optional | District of the return location | 100 | "Nadia" |
city | String | Optional | City of the return location | 100 | "Mumbai City" |
state | String | Optional | State/province of the return location | 100 | "Maharashtra" |
landmark | String | Optional | Landmarks to help find the return location | 500 | "Near XYZ Towers" |
email | String | Optional | Email of the return contact | 50 | "[email protected]" |
phone | String | Optional | Contact number of the return contact | 11 | "9876543210" |
pincode | String | Optional | 6-digit Pin code of the return location | 6 | "400065" |
country | String | Optional | Alpha ISO-2 country code of the return location. Only "IN" is accepted as input. | 2 | "IN" |
tin | String | Optional | Taxpayer Identification Number (TIN) of the seller. In case the TIN is not available, the user may choose to enter the seller's GST number instead. | 100 | "TIN00001" |
address_type | String | Optional | Address type of the pickup address. Must be either OFFICE or RESIDENTIAL | 10 | "OFFICE" |
location_code | String | Optional | If the location master is active, then only send the location code of the pickup location as per LM. | "Bhiwandi_wh_1" | |
vendor_code | String | Optional | Pickup vendor code that needs to be sent to the carrier. |
Validations
- If an invoice or PO number is present at the box level then the details of this invoice and PO must be declared at the shipment level.
- However, if any shipment-level invoice is not linked to any box, it is not an issue. We will consume it as-is without linking it to any box.
- Location master is supported for 2 combinations- Only Pickup and Pickup +Drop.
- If location master is enabled then you need to only send location code in pickup_info and drop_info objects. The following fields should be left empty. If these fields are not empty then you will receive an error.
- lat
- long
- name
- organization
- address
- district
- city
- state
- landmark
- phone
- pincode
- country
- address_type
- If box master is enabled the box length, breadth and height fields should be left empty. If these fields are not empty then you will receive an error.
Response
The response typically consists of the following fields. Keep in mind that additional fields can be present according to the requirement of the enterprise/courier.
| Field Name | Data Type | Description |
|---|---|---|
meta | Object | Metadata for the request, e.g. status code, error messages. |
result | Object | Actual result of the request |
tracking_id | Integer | A special ID of the request used for tracking |
Response Meta
| Field Name | Data Type | Description |
|---|---|---|
status | Integer | Status code for the request (including but not limited to HTTP Status codes) |
message | String | Error/Success messages for the request |
success | Boolean | Whether the order was successfully created or not |
Sample Response
{
"meta": {
"status": 200,
"message": "Success",
"success": true
},
"result": {
"tracking_id": 1431699841,
"security_key": "9ea0e24e-187d-4f17-8e50-d45def592222"
}
}{
"meta": {
"status": 500,
"message": "Ops! Internal server error in Clickpost",
"success": false
},
"result": {
"shipment_info": {
"field_name": [
"account_code"
],
"message": [
"Clickpost Account: Does not exist"
]
},
"appointment_info": {
"start_time": [
"Datetime has wrong format. Use one of these formats instead: DD-MM-YYYY hh:mm."
],
"end_time": [
"Datetime has wrong format. Use one of these formats instead: DD-MM-YYYY hh:mm."
]
}
}
}Updated 7 months ago
